<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductListing.ascx.cs" Inherits="XZ.Web.UI.Controls.ProductListing" %>
<%@ Register Src="../Controls/RatingDisplay.ascx" TagName="RatingDisplay" TagPrefix="xz" %>
<%@ Register Src="../Controls/AvailabilityDisplay.ascx" TagName="AvailabilityDisplay" TagPrefix="xz" %>
<%@ Import Namespace="XZ.Logistics.WebShop" %>

<small><b><asp:Literal runat="server" ID="lblCategoryPicker" Text="Filter by category:" meta:resourcekey="lblCategoryPicker" /></b></small> 
<asp:DropDownList ID="ddlCategories" runat="server" 
    AutoPostBack="True" 
    DataSourceID="objAllCategories" 
    Width="220px"
    DataTextField="Title" 
    DataValueField="ID" 
    AppendDataBoundItems="true" 
    OnSelectedIndexChanged="ddlCategories_SelectedIndexChanged">
    <asp:ListItem Value="" Text="All categories" meta:resourcekey="ItemAllCategories" />   
</asp:DropDownList>
<asp:ObjectDataSource ID="objAllCategories" runat="server" 
    SelectMethod="GetCategories"
    TypeName="XZ.Logistics.WebShop.Category" />
<asp:Literal runat="server" ID="lblSeparator">&nbsp;&nbsp;&nbsp;</asp:Literal>
<small><b><asp:Literal runat="server" ID="lblPageSizePicker" Text="Products per page:" meta:resourcekey="lblPageSizePicker" /></b></small>
<asp:DropDownList ID="ddlProductsPerPage" runat="server" 
    AutoPostBack="True" 
    OnSelectedIndexChanged="ddlProductsPerPage_SelectedIndexChanged">
    <asp:ListItem Value="5">5</asp:ListItem>
    <asp:ListItem Value="10" Selected="True">10</asp:ListItem>
    <asp:ListItem Value="25">25</asp:ListItem>
    <asp:ListItem Value="50">50</asp:ListItem>   
    <asp:ListItem Value="100">100</asp:ListItem>
</asp:DropDownList>      
<p></p>
<asp:GridView ID="gvwProducts" runat="server" 
    AllowPaging="True" 
    AutoGenerateColumns="False"
    DataKeyNames="Id" 
    DataSourceID="objProducts" 
    PageSize="10" 
    AllowSorting="True"
    EmptyDataText="<b>There is no product to show for the selected category</b>" 
    OnRowCreated="gvwProducts_RowCreated"
    meta:resourcekey="gvwProducts">
    <Columns>
        <asp:ImageField DataImageUrlField="SmallImageUrl" ItemStyle-Width="110px" />     
        <asp:HyperLinkField HeaderText="Product" SortExpression="Title" HeaderStyle-HorizontalAlign="Left"
            DataTextField="Title" DataNavigateUrlFormatString="~/ShowProduct.aspx?Id={0}" DataNavigateUrlFields="Id" meta:resourcekey="ProductHeader" />
        <asp:TemplateField HeaderText="Rating" meta:resourcekey="RatingHeader">
            <ItemTemplate>
                <div style="text-align: center">            
                <xz:RatingDisplay runat="server" ID="ratDisplay" Value='<%# Eval("AverageRating") %>' Visible='<%# (int)Eval("Votes") > 0 %>' />
                </div>
            </ItemTemplate>         
        </asp:TemplateField>
        <asp:TemplateField HeaderText="Available" SortExpression="UnitsInStock" ItemStyle-HorizontalAlign="Center" meta:resourcekey="AvailableHeader">
            <ItemTemplate>
                <div style="text-align: center">
                    <xz:AvailabilityDisplay runat="server" ID="availDisplay" Value='<%# Eval("UnitsInStock") %>' />
                </div>
            </ItemTemplate>         
        </asp:TemplateField>
        <asp:TemplateField HeaderText="Price" SortExpression="UnitPrice" HeaderStyle-HorizontalAlign="Right" meta:resourcekey="PriceHeader">
            <ItemTemplate>
                <div style="text-align: right">
                    <asp:Panel runat="server" Visible='<%# (int)Eval("DiscountPercentage") > 0 %>'>
                        <s><%# (this.Page as XZ.Web.UI.BasePage).FormatPrice(Eval("UnitPrice")) %></s><br />
                        <b><%# Eval("DiscountPercentage") %>% Off</b><br />
                    </asp:Panel>
                    <%# (this.Page as XZ.Web.UI.BasePage).FormatPrice(Eval("FinalUnitPrice"))%>
                </div>
            </ItemTemplate>         
        </asp:TemplateField>
        <asp:TemplateField ItemStyle-HorizontalAlign="Center" ItemStyle-Width="20px">
            <ItemTemplate>
                <asp:HyperLink runat="server" ID="lnkEdit" ToolTip="Edit product"
                    NavigateUrl='<%# "~/Admin/AddEditProduct.aspx?Id=" + Eval("Id") %>' ImageUrl="~/Images/Edit.gif" meta:resourcekey="lnkEdit" />
            </ItemTemplate>         
        </asp:TemplateField>
        <asp:CommandField ButtonType="Image" DeleteImageUrl="~/Images/Delete.gif" DeleteText="Delete product" ShowDeleteButton="True" meta:resourcekey="cmdDelete">
            <ItemStyle HorizontalAlign="Center" Width="20px" />
        </asp:CommandField>
    </Columns>   
    <EmptyDataTemplate><b><asp:Literal ID="NoProductsLabel" runat="server" Text="No products to show" meta:resourcekey="NoProductsLabel" /></b></EmptyDataTemplate>   
</asp:GridView>
<asp:ObjectDataSource ID="objProducts" runat="server" 
    DeleteMethod="DeleteProduct" 
    SortParameterName="sortExpression"
    SelectMethod="GetProducts" 
    SelectCountMethod="GetProductCount" 
    EnablePaging="True" 
    TypeName="XZ.Logistics.WebShop.Product">
    <DeleteParameters>
        <asp:Parameter Name="id" Type="Object" />
    </DeleteParameters>
    <SelectParameters>
        <asp:ControlParameter Name="categoryId" ControlID="ddlCategories" ConvertEmptyStringToNull="true" Type="Object" />
    </SelectParameters>
</asp:ObjectDataSource>