<%@ Page Language="C#" 
    MasterPageFile="~/Template.master" 
    AutoEventWireup="true" 
    CodeFile="ShoppingCart.aspx.cs" 
    Inherits="XZ.Web.UI.ShoppingCart" 
    Title="XZ WebShop - Shopping Cart" 
    meta:resourcekey="Page" %>
<%@ MasterType VirtualPath="~/Template.master" %>

<asp:Content ID="MainContent" ContentPlaceHolderID="MainContent" Runat="Server">   
    <asp:Wizard ID="wizSubmitOrder" runat="server" 
        ActiveStepIndex="0" 
        CancelButtonText="Continue Shopping"
        CancelButtonType="Link" 
        CancelDestinationPageUrl="~/BrowseProducts.aspx" 
        DisplayCancelButton="True"
        DisplaySideBar="False" 
        FinishPreviousButtonType="Link" 
        StartNextButtonText="Proceed with order"
        StartNextButtonType="Link" 
        Width="100%" 
        StepNextButtonText="Proceed with order" 
        StepNextButtonType="Link" 
        StepPreviousButtonText="Modify data in previous step" 
        StepPreviousButtonType="Link" 
        FinishCompleteButtonText="Submit Order" 
        FinishCompleteButtonType="Link" 
        FinishPreviousButtonText="Modify data in previous step" 
        OnFinishButtonClick="wizSubmitOrder_FinishButtonClick" 
        OnActiveStepChanged="wizSubmitOrder_ActiveStepChanged" 
        meta:resourcekey="wizSubmitOrder">
        <WizardSteps>
            <asp:WizardStep runat="server" Title="Shopping Cart" meta:resourcekey="ShoppingCartStep">
                <div class="sectiontitle"><asp:Literal ID="litShoppingCart" runat="server" Text="Shopping Cart" meta:resourcekey="litShoppingCart" /></div>
                <p></p>     
                <asp:Literal ID="litReview" runat="server" 
                    Text="Review and update the quantity of the products added to the cart before proceeding to checkout, or continue shopping." 
                    meta:resourcekey="litReview" />           
                <p></p>
                <asp:GridView ID="gvwOrderItems" runat="server" 
                    AutoGenerateColumns="False" 
                    DataSourceID="objShoppingCart" 
                    Width="100%" 
                    DataKeyNames="ID" 
                    OnRowDeleted="gvwOrderItems_RowDeleted"
                    OnRowCreated="gvwOrderItems_RowCreated">
                    <Columns>
                        <asp:HyperLinkField DataTextField="Title" DataNavigateUrlFormatString="~/ShowProduct.aspx?ID={0}" 
                            DataNavigateUrlFields="ID" HeaderText="Product" meta:resourcekey="TitleField">
                            <HeaderStyle HorizontalAlign="Left" />
                        </asp:HyperLinkField>
                        <asp:TemplateField HeaderText="Price" HeaderStyle-HorizontalAlign="Right" meta:resourcekey="PriceField">
                            <ItemTemplate>
                                <div style="text-align: right">
                                    <%# FormatPrice(Eval("UnitPrice")) %>
                                </div>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Quantity" meta:resourcekey="QuantityField">
                            <ItemTemplate>
                                <div style="text-align: right;">
                                    <asp:TextBox runat="server" ID="txtQuantity" Text='<%# Bind("Quantity") %>' MaxLength="6" Width="30px" />
                                <asp:RequiredFieldValidator ID="valRequireQuantity" runat="server" 
                                    ControlToValidate="txtQuantity" SetFocusOnError="true" ValidationGroup="ShippingAddress"
                                    Text="The Quantity field is required." ToolTip="The Quantity field is required." Display="Dynamic" 
                                    meta:resourcekey="valRequireQuantity" />
                                <asp:CompareValidator ID="valQuantityType" runat="server" Operator="DataTypeCheck" Type="Integer"
                                    ControlToValidate="txtQuantity" Text="The Quantity must be an integer."
                                    ToolTip="The Quantity must be an integer." Display="dynamic" meta:resourcekey="valQuantityType" />
                                </div>
                            </ItemTemplate>
                            <ItemStyle Width="60px" />
                            <HeaderStyle HorizontalAlign="Right" />
                        </asp:TemplateField>
                        <asp:CommandField ButtonType="Image" DeleteImageUrl="~/Images/Delete.gif" 
                            DeleteText="Delete product" ShowDeleteButton="True" meta:resourcekey="DeleteField">
                            <ItemStyle HorizontalAlign="Center" Width="20px" />
                        </asp:CommandField>
                    </Columns>
                    <EmptyDataTemplate><b><asp:Literal ID="EmptyData" runat="server" Text="The shopping cart is empty" meta:resourcekey="EmptyData" /></b></EmptyDataTemplate>   
                </asp:GridView>
                <asp:ObjectDataSource ID="objShoppingCart" runat="server" 
                    SelectMethod="GetItems"
                    TypeName="XZ.Web.UI.CurrentUserShoppingCart" 
                    DeleteMethod="DeleteProduct" />
                <asp:Panel runat="server" ID="panTotals">
                <div style="text-align: right; font-weight: bold; padding-top: 4px;">
                    <asp:Literal runat="server" ID="SubtotalLabel2" Text="Subtotal" meta:resourcekey="SubtotalLabel" />: <asp:Literal runat="server" ID="lblSubtotal" />
                    <p>
                    <asp:Literal runat="server" ID="ShippingMethodLabel2" Text="Shipping Method" meta:resourcekey="ShippingMethodLabel" />: 
                    <asp:DropDownList ID="ddlShippingMethods" runat="server" DataSourceID="objShippingMethods"
                        DataTextField="TitleAndPrice" DataValueField="Price">
                    </asp:DropDownList>
                    <asp:ObjectDataSource ID="objShippingMethods" runat="server" 
                        SelectMethod="GetShippingMethods"
                        TypeName="XZ.Logistics.WebShop.ShippingMethod" />
                    </p>
                    <p>
                    <u><asp:Literal runat="server" ID="TotalLabel2" Text="Total" meta:resourcekey="TotalLabel" />:</u> <asp:Literal runat="server" ID="lblTotal" />
                    </p>
                    <asp:Button ID="btnUpdateTotals" runat="server" OnClick="btnUpdateTotals_Click" Text="Update totals" meta:resourcekey="btnUpdateTotals" />
                    <br /><br />
                </div>
                </asp:Panel>
            </asp:WizardStep>
            <asp:WizardStep runat="server" Title="Shipping Address" meta:resourcekey="ShippingAddressStep">
                <div class="sectiontitle"><asp:Literal runat="server" ID="ShippingAddressLabel" Text="Shipping Address" meta:resourcekey="ShippingAddressLabel" /></div>
                <p></p>                 
                <asp:MultiView ID="mvwShipping" runat="server">
                    <asp:View ID="vwLoginRequired" runat="server">
                        <asp:Literal runat="server" ID="LoginRequired" Text="An account is required to proceed with the order submission. If you already have an account
                            please login now, otherwise &lt;a href='Register.aspx'&gt;create a new account&lt;/a&gt; for free." meta:resourcekey="vwLoginRequired" />

                        <br /><br /><br /><br /><br /><br />
                    </asp:View>
                    <asp:View ID="vwShipping" runat="server">
                        <asp:Literal runat="server" ID="Shipping" Text="Fill the form below with the shipping address for your order. All information is required, except for phone and fax numbers." meta:resourcekey="vwShipping" />
                        <p></p>
                        <table cellpadding="2" width="410">
                            <tr>
                                <td width="110" class="fieldname"><asp:Label runat="server" ID="lblFirstName" AssociatedControlID="txtFirstName" Text="First name:" meta:resourcekey="lblFirstName" /></td>
                                <td width="300">                        
                                    <asp:TextBox ID="txtFirstName" runat="server" Width="100%" />                                                      
                                    <asp:RequiredFieldValidator ID="valRequireFirstName" runat="server" 
                                        ControlToValidate="txtFirstName" SetFocusOnError="true" ValidationGroup="ShippingAddress"
                                        Text="The First Name field is required." ToolTip="The First Name field is required." Display="Dynamic" 
                                        meta:resourcekey="valRequireFirstName" />
                                </td>
                            </tr>
                            <tr>
                                <td class="fieldname"><asp:Label runat="server" ID="lblLastName" AssociatedControlID="txtLastName" Text="Last name:" meta:resourcekey="lblLastName"  /></td>
                                <td>
                                    <asp:TextBox ID="txtLastName" runat="server" Width="100%" />
                                    <asp:RequiredFieldValidator ID="valRequireLastName" runat="server" 
                                        ControlToValidate="txtLastName" SetFocusOnError="true" ValidationGroup="ShippingAddress"
                                        Text="The Last Name field is required." ToolTip="The Last Name field is required." Display="Dynamic" 
                                        meta:resourcekey="valRequireLastName" />
                                </td>
                            </tr>
                            <tr>
                                <td class="fieldname"><asp:Label runat="server" ID="lblEmail" AssociatedControlID="txtEmail" Text="E-mail:" meta:resourcekey="lblEmail" /></td>
                                <td>
                                    <asp:TextBox runat="server" ID="txtEmail" Width="100%" />
                                    <asp:RequiredFieldValidator ID="valRequireEmail" runat="server" 
                                        ControlToValidate="txtEmail" SetFocusOnError="true" ValidationGroup="ShippingAddress"
                                        Text="The E-mail field is required." ToolTip="The E-mail field is required." Display="Dynamic" 
                                        meta:resourcekey="valRequireEmail" />
                                    <asp:RegularExpressionValidator runat="server" ID="valEmailPattern" 
                                        Display="Dynamic" SetFocusOnError="true" ValidationGroup="ShippingAddress"
                                        ControlToValidate="txtEmail" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"
                                        Text="The E-mail address you specified is not well-formed." ToolTip="The E-mail address you specified is not well-formed." 
                                        meta:resourcekey="valEmailPattern" />
                                </td>
                            </tr>
                            <tr>
                                <td class="fieldname"><asp:Label runat="server" ID="lblStreet" AssociatedControlID="txtStreet" Text="Street:" meta:resourcekey="lblStreet" /></td>
                                <td>
                                    <asp:TextBox runat="server" ID="txtStreet" Width="100%" />
                                    <asp:RequiredFieldValidator ID="valRequireStreet" runat="server" 
                                        ControlToValidate="txtStreet" SetFocusOnError="true" ValidationGroup="ShippingAddress"
                                        Text="The Street field is required." ToolTip="The Street field is required." Display="Dynamic" 
                                        meta:resourcekey="valRequireStreet" />
                                </td>
                            </tr>
                            <tr>
                                <td class="fieldname"><asp:Label runat="server" ID="lblPostalCode" AssociatedControlID="txtPostalCode" Text="Zip / Postal code:" meta:resourcekey="lblPostalCode" /></td>
                                <td>
                                    <asp:TextBox runat="server" ID="txtPostalCode" Width="100%" />
                                    <asp:RequiredFieldValidator ID="valRequirePostalCode" runat="server" 
                                        ControlToValidate="txtPostalCode" 
                                        SetFocusOnError="true" 
                                        ValidationGroup="ShippingAddress"
                                        Text="The Postal Code field is required." ToolTip="The Postal Code field is required." Display="Dynamic" 
                                        meta:resourcekey="valRequirePostalCode" />
                                </td>
                            </tr>
                            <tr>
                                <td class="fieldname"><asp:Label runat="server" ID="lblCity" AssociatedControlID="txtCity" Text="City:" meta:resourcekey="lblCity" /></td>
                                <td>
                                    <asp:TextBox runat="server" ID="txtCity" Width="100%" />
                                    <asp:RequiredFieldValidator ID="valRequireCity" runat="server" 
                                        ControlToValidate="txtCity" SetFocusOnError="true" ValidationGroup="ShippingAddress"
                                        Text="The City field is required." ToolTip="The City field is required." Display="Dynamic" 
                                        meta:resourcekey="valRequireCity" />
                                </td>
                            </tr>
                            <tr>
                                <td class="fieldname"><asp:Label runat="server" ID="lblState" 
                                    AssociatedControlID="txtState" Text="State / Region:" meta:resourcekey="lblState" /></td>
                                <td>
                                    <asp:TextBox runat="server" ID="txtState" Width="100%" />
                                    <asp:RequiredFieldValidator ID="valRequireState" runat="server" 
                                        ControlToValidate="txtState" SetFocusOnError="true" ValidationGroup="ShippingAddress"
                                        Text="The State field is required." ToolTip="The State field is required." Display="Dynamic" 
                                        meta:resourcekey="valRequireState" />
                                </td>
                            </tr>
                            <tr>
                                <td class="fieldname"><asp:Label runat="server" ID="lblCountry" 
                                    AssociatedControlID="ddlCountries" Text="Country:" meta:resourcekey="lblCountry" /></td>
                                <td>
                                    <asp:DropDownList ID="ddlCountries" runat="server" AppendDataBoundItems="True" Width="100%">
                                        <asp:ListItem Text="Please select one..." Value="" Selected="True" meta:resourcekey="ddlCountriesPleaseSelectOne" />
                                    </asp:DropDownList>
                                </td>
                            </tr>
                            <tr>
                                <td class="fieldname"><asp:Label runat="server" ID="lblPhone" AssociatedControlID="txtPhone" Text="Phone:" meta:resourcekey="lblPhone" /></td>
                        <td><asp:TextBox runat="server" ID="txtPhone" Width="100%" /></td>
                     </tr>
                     <tr>
                        <td class="fieldname"><asp:Label runat="server" ID="lblFax" AssociatedControlID="txtFax" Text="Fax:" meta:resourcekey="lblFax" /></td>
                        <td><asp:TextBox runat="server" ID="txtFax" Width="100%" /></td>
                     </tr>
                  </table>
                  <br /><br />
               </asp:View>
            </asp:MultiView>
         </asp:WizardStep>
         <asp:WizardStep runat="server" Title="Order Confirmation" meta:resourcekey="OrderConfirmationStep">
            <div class="sectiontitle"><asp:Literal runat="server" ID="OrderSummaryLabel" Text="Order Summary" meta:resourcekey="OrderSummaryLabel" /></div>
            <p></p> 
            <asp:Literal runat="server" ID="ReviewTextLabel" Text="Please carefully review the order information below. 
                If you want to change something click the link below to
                go back to the previous pages and make the corrections. If everything is ok go ahead and submit your order." meta:resourcekey="ReviewTextLabel" />               
            
            <p></p>                        
            <img src="Images/paypal.gif" style="float: right" alt="" />
            <b><asp:Literal runat="server" ID="OrderDetailsLabel" Text="Order Details" meta:resourcekey="OrderDetailsLabel" /></b>
            <p></p>
            <asp:Repeater runat="server" ID="repOrderItems" DataSourceID="objShoppingCart">
               <ItemTemplate>
                  <img src="Images/ArrowR3.gif" border="0" alt="" />
                  <%# Eval("Title") %> - <%# FormatPrice(Eval("UnitPrice")) %> &nbsp;&nbsp;<small>(<asp:Literal runat="server" ID="QuantityLabel" Text="Quantity" meta:resourcekey="QuantityLabel" /> = <%# Eval("Quantity") %>)</small>
                  <br />
               </ItemTemplate>
            </asp:Repeater>
            <br />
            <asp:Literal runat="server" ID="SubtotalLabel" Text="Subtotal" meta:resourcekey="SubtotalLabel" /> = <asp:Literal runat="server" ID="lblReviewSubtotal" />
            <p></p>
            <asp:Literal runat="server" ID="ShippingMethodLabel" Text="Shipping Method" meta:resourcekey="ShippingMethodLabel" /> = <asp:Literal runat="server" ID="lblReviewShippingMethod" />
            <p></p>
            <u><asp:Literal runat="server" ID="TotalLabel" Text="Total" meta:resourcekey="TotalLabel" /></u> = <asp:Literal runat="server" ID="lblReviewTotal" />
            <p></p>
            <b><asp:Literal runat="server" ID="ShippingDetailsLabel" Text="Shipping Details" meta:resourcekey="ShippingDetailsLabel" /></b>
            <p></p>
            <asp:Literal runat="server" ID="lblReviewFirstName" /> <asp:Literal runat="server" ID="lblReviewLastName" /><br />
            <asp:Literal runat="server" ID="lblReviewStreet" /><br />
            <asp:Literal runat="server" ID="lblReviewCity" />, <asp:Literal runat="server" ID="lblReviewState" /> <asp:Literal runat="server" ID="lblReviewPostalCode" /><br />
            <asp:Literal runat="server" ID="lblReviewCountry" />
            <br /><br /><br /><br />
         </asp:WizardStep>
      </WizardSteps>
      <StepNextButtonStyle Font-Bold="True" />
      <StartNextButtonStyle Font-Bold="True" />
      <FinishCompleteButtonStyle Font-Bold="True" />
      <FinishPreviousButtonStyle Font-Bold="True" />
   </asp:Wizard>  
</asp:Content>

