using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace XZ.Logistics.WebShop
{
    public class OrderItem : WebShopBase
    {
        private Guid _orderId = Guid.Empty;
        public Guid OrderId
        {
            get { return _orderId; }
            private set { _orderId = value; }
        }

        private Guid _productId = Guid.Empty;
        public Guid ProductId
        {
            get { return _productId; }
            private set { _productId = value; }
        }

        private string _title = "";
        public string Title
        {
            get { return _title; }
            private set { _title = value; }
        }

        private string _sku = "";
        public string SKU
        {
            get { return _sku; }
            private set { _sku = value; }
        }

        private decimal _unitPrice = 0.0m;
        public decimal UnitPrice
        {
            get { return _unitPrice; }
            private set { _unitPrice = value; }
        }

        private int _quantity = 0;
        public int Quantity
        {
            get { return _quantity; }
            private set { _quantity = value; }
        }

        public OrderItem(Guid id, DateTime addedDate, string addedBy,
           Guid orderId, Guid productId, string title, string sku, decimal unitPrice, int quantity)
        {
            this.Id = id;
            this.AddedDate = addedDate;
            this.AddedBy = addedBy;
            this.OrderId = orderId;
            this.ProductId = productId;
            this.Title = title;
            this.SKU = sku;
            this.UnitPrice = unitPrice;
            this.Quantity = quantity;
        }
    }
}